PT BIA - Bug #3809

Issue Permanent Date Tidak Muncul di Report All Employee Prod BIA
08/25/2025 09:45 AM - Mr lkmal

Status: Closed Start date: 08/25/2025
Priority: Normal Due date:

Assignee: Mr [kmal % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear mba Yomma,

Mohon bantu cek untuk kolom Permanent Date, apakah diambil dari field EmployeeType = 01 (Permanent) berdasarkan Effective
Date, atau ada kondisi lain?

Karena, pada report All Employee, datanya masih kosong meskipun sudah sesuai dengan kondisi tersebut. dan beberapa data
employee lainnya yang terisi juga berbeda dengan tanggal di Assignment dengan kondisi tersebut. Jika ada kondisi berbeda di
report, mohon informasinya ya mba.

Terima kasih.

EmployeelD: 25045856 (Silvyana Maria Isakh)
Untuk data nya sudah dibuat di dev 61139

PORT PROD : https://hris-bia.minovaiscloud.com/
DB :103.153.60.89,1435
Nama DB : MinovaES_BIA Prod

PORT DEV : http://remote.minovais.com:61139/
DB : remote.minovais.com, 1468
Nama DB : MinovaES_BIA BaseServerCloud

History

#1 - 08/25/2025 10:45 AM - Tri Rizqiaty
- File PRPTPAALLEMPLOYEE_20250825.sql added

- Status changed from New to Developing

Case ini terjadi krn awalnya effective date di ambil dr tbl PHRPA0039 dgn datetype 0001.
Fixing : execute query terlampir

Notes: br diserver kntr yg sdh difixing, yg cloud nunggu hsl test.

#2 - 08/25/2025 10:45 AM - Tri Rizgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqgiaty to Mr Ikmal

#3 - 08/25/2025 11:36 AM - Mr Ikmal

- File 20250825_MK_Data Karyawan - 61139.xIsx added
- File Screenshot 2025-08-25 112850.png added

- File Screenshot 2025-08-25 112858.png added

- File Screenshot 2025-08-25 113256.png added

- Status changed from QA Test to Revise

- Assignee changed from Mr Ikmal to Tri Rizgiaty

Dear mba Yomma,

Setelah dilakukan testing, ada case dimana Permanent Date tetap terbaca meskipun EmployeeType = '02' (Contract). Mohon di filter dari table
https://hris-bia.minovaiscloud.com/
http://remote.minovais.com:61139/

PHRPAQ002 dan get data dengan EmployeeType = '01' (Permanent) berdasarkan EffectiveDate pada record tersebut.

Terima kasih mba.

#4 - 08/25/2025 01:54 PM - Tri Rizqgiaty
- File PRPTPAALLEMPLOYEE_20250825.sql added
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Mr Ikmal

Fixing : execute sp terlampir

#5 - 08/25/2025 02:28 PM - Mr Ikmal
- Status changed from QA Test to Closed

Dear mba Yomma,

Setelah saya cek ulang, ternyata table PHRPA0039 memang terpakai di master data BIA. Jadi saat ini di prod sudah OK, tinggal master data 039 di

upload oleh user. Sorry mba tadi sempat miss di bagian ini. Untuk yang ini tidak jadi di deploy ya, mba.

Terima kasih.
